petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetConvergedReason

Gets the reason the TS iteration was stopped.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetConvergedReason(TS ts,TSConvergedReason *reason)

Not Collective

### Input Parameter

ts -the TS context

### Output Parameter

reason -negative value indicates diverged, positive value converged, see TSConvergedReason or the manual pages for the individual convergence tests for complete lists

### Notes

Can only be called after the call to TSSolve() is complete.

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSSetConvergenceTest(), TSConvergedReason

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex25.c.html
src/ts/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex34.c.html
src/ts/examples/tutorials/ex35.cxx.html
src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex1f.F.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages